## org.hibernate.cache.access
Class AccessType

    java.lang.Object
      org.hibernate.cache.access.AccessType

All Implemented Interfaces:
  Serializable

    public class AccessType

extends Object
implements Serializable

The types of access strategies available.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static AccessType` `NONSTRICT_READ_WRITE`
`static AccessType` `READ_ONLY`
`static AccessType` `READ_WRITE`
`static AccessType` `TRANSACTIONAL`

Method Summary
`String` `getName()`
`static String` `getValidUsageString()`
`static AccessType` `parse(String name)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ_ONLY

    public static final AccessType READ_ONLY

### READ_WRITE

    public static final AccessType READ_WRITE

### NONSTRICT_READ_WRITE

    public static final AccessType NONSTRICT_READ_WRITE

### TRANSACTIONAL

    public static final AccessType TRANSACTIONAL

Method Detail

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### parse

    public static AccessType parse(String name)

### getValidUsageString

    public static String getValidUsageString()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.